/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package com.esri.adf.sample.resource;

import com.esri.adf.web.ADFException;

public class ADFMyCustomException extends ADFException {
  private static final long serialVersionUID = 1L;

  public ADFMyCustomException() {
    super();
  }

  public ADFMyCustomException(String message) {
    super(message);
  }

  public ADFMyCustomException(Throwable cause) {
    super(cause);
  }

  public ADFMyCustomException(String message, Throwable cause) {
    super(message, cause);
  }
}
