<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page language="java" import="java.util.Locale" %>

<html>
  <head>
    <title>Adding Custom Resource using ADF</title>
    <style type="text/css">
      * {font-family: Arial;font-size:small;}
    </style>

    <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.requireLocalization("resource","adf");
    </script>
  </head>
  <body>
    <f:view>
      <a:context value="#{mapContext}" />
      <h:form id="frmSimple">
        <table width="100%" style="height:100%">
          <tr>
            <td align="center">
              <table style="border: 2px solid black;">
                <tr>
                  <td colspan="2" align="center">
                    <a:task id="mapToolsTask" value="#{mapContext.attributes.webappMapToolsTask}" 
                                      taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}" 
                                      mapId="map1" windowingSupport="false" style="padding:0px;margin:0px;" 
                                      xslFile="maptoolstask.xsl"/>                  
                  </td>
                </tr>
                <tr>
                  <td valign="TOP">
                    <a:toc id="toc" mapId="map1" value="#{mapContext.webToc}" style="border: 1px solid black;height:250px;width:200px;" />
                    <br />
                    <a:overview id="overview" mapId="map1" value="#{mapContext.webOverview}" style="border: 1px solid black;height:200px;width:200px;" />
                  </td>
                  <td valign="TOP">
                    <a:map id="map1" value="#{mapContext.webMap}" width="500" height="500" style="border: 1px solid black;" />
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </h:form>
    </f:view>
  </body>
</html>
